Skip to main content
GET
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
cURL
curl --request GET \
  --url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups \
  --header 'Authorization: Bearer <token>'
{
  "seedGroups": [
    {
      "autoConfirmationEnabled": true,
      "limitReached": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "uid": "<string>",
      "organizationUid": "<string>",
      "name": "<string>",
      "listingUid": "<string>",
      "lastScanAt": "2023-11-07T05:31:56Z",
      "asmEnabled": true,
      "totalSeeds": 123,
      "tags": [
        "<string>"
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}

Query Parameters

perPage
integer<int32>

Requested page size for pagination. A server-selected default of 100 will be used when no perPage is requested via query parameter.

Required range: 1 <= x <= 5000
page
integer<int32>

Page to retrieve in paginated response. A server-selected default of 1 will be used when no page is requested via query parameter.

Required range: x >= 1
sort
enum<string>
default:name

Optional property to sort results by.

Available options:
name,
totalSeeds,
createdAt,
updatedAt,
createdBy,
scanStatus,
lastScanAt
sortDir
enum<string>
default:asc

Direction of sort-order for items in the response.

Available options:
asc,
desc

Optional query parameter for a search string that will be used to match within seed group name.

tag
string[]

Optional query parameter for a tag that will be used to filter seed groups.

Response

Paginated seed groups.

seedGroups
object[]